Package org.eclipse.ui.internal

# Class WorkingSetFactory

java.lang.Object
org.eclipse.ui.internal.WorkingSetFactory

All Implemented Interfaces:
  `IElementFactory`

public class WorkingSetFactory extends Object implements IElementFactory
A WorkingSetFactory is used to recreate a persisted WorkingSet object.

## Constructor Summary

Constructors
Constructor
Description
`WorkingSetFactory()`

## Method Summary

Modifier and Type
Method
Description
`IAdaptable`
`createElement(IMemento memento)`
Re-creates and returns an object from the state captured within the given memento.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WorkingSetFactory

public WorkingSetFactory()

## Method Details

### createElement

public IAdaptable createElement(IMemento memento)
Description copied from interface: `IElementFactory`
Re-creates and returns an object from the state captured within the given memento.

If the result is not null, it should be persistable; that is,

     result.getAdapter(org.eclipse.ui.IPersistableElement.class)

should not return `null`.

Specified by:
  `createElement` in interface `IElementFactory`
Parameters:
  `memento` - a memento containing the state for the object
Returns:
  an object, or `null` if the element could not be created